<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if ($_GET['annoinformedesde']=="0" || !isset($_SESSION['fechainformedesde'])) {
	$_SESSION['fechainformedesde']=date('Y-m-d');
} else {
	if ($_GET['annoinformedesde']<>""){
		$_SESSION['fechainformedesde']=$_GET['annoinformedesde'].'-'.$_GET['mesinformedesde'].'-'.$_GET['diainformedesde'];
	}
}
if ($_GET['annoinformehasta']=="0" || !isset($_SESSION['fechainformehasta'])) {
	$_SESSION['fechainformehasta']=date('Y-m-d');
} else {
	if ($_GET['annoinformehasta']<>""){
		$_SESSION['fechainformehasta']=$_GET['annoinformehasta'].'-'.$_GET['mesinformehasta'].'-'.$_GET['diainformehasta'];
	}
}
$annoinformedesde=substr($_SESSION['fechainformedesde'],0,4);
$mesinformedesde=substr($_SESSION['fechainformedesde'],5,2);
$diainformedesde=substr($_SESSION['fechainformedesde'],8,2);
$fechainformedesde=$annoinformedesde.'-'.$mesinformedesde.'-'.$diainformedesde;
$annoinformehasta=substr($_SESSION['fechainformehasta'],0,4);
$mesinformehasta=substr($_SESSION['fechainformehasta'],5,2);
$diainformehasta=substr($_SESSION['fechainformehasta'],8,2);
$fechainformehasta=$annoinformehasta.'-'.$mesinformehasta.'-'.$diainformehasta;
if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idproducto']) AND ($_GET['Idproducto']<>'')) {
	if (isset($_GET['campo']) AND ($_GET['campo']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		//$updt=$mysqli->query('UPDATE productos SET '.$_GET['campo'].'="'.$_GET['value'].'" WHERE Idproducto="'.$_GET['Idproducto'].'"');
		$informacion='Dato del producto '.$_GET['codigo'].' ha sido actualizado';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(Idproducto,codigo,name,campo,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='tablas-productos.php?modifica=si&Idproducto='+Idproducto+'&codigo='+codigo+'&campo='+campo+'&value='+newvalue;
	} else {return;}
}
function modificarstock(Idproducto,codigo,name,stockactual) {
	if (stocknuevo=prompt('Por favor ingresa el stock actual de este producto',stockactual)) {
		grabando();
		location.href='funcionesphp/corrijestock.php?Idproducto='+Idproducto+'&stockactual='+stockactual+'&stocknuevo='+stocknuevo;
	} else {return;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function eliminarproducto(Idproducto) {
	cargando();
	ajax=objetoAjax();
   	ajax.open("POST","ajax/buscarcomandaporproducto.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
				if (ajax.responseText=='si') { //Si existen comandas abiertas
					alert ('Hay comandas abiertas con este producto, no se puede eliminar.');
					document.getElementById('cargando').style.display='none';
					return;
				}
				if (ajax.responseText=='no') { //Si existen comandas abiertas
					if (confirm('Estas seguro de eliminar este producto y su receta?')) {
						location.href="funcionesphp/eliminarproducto.php?e=e&Idproducto="+Idproducto;
						return;
					}
					document.getElementById('cargando').style.display='none';
					return;
				}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idproducto="+Idproducto);
}
</script>
<body>
<div class="div_cubierto" id="cubierto"></div>
<div class="div_cargando" id="cargando"></div>
<div align="center">
<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="div_caja_titulo">
	<span class="bold">Estados de planillas desde <?php echo afecha($fechainformedesde).' hasta '.afecha($fechainformehasta); ?></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" height="24"/></a></span>    
</div>
<div class="centrar_tabla">
<form action="informe-cierre-planillas.php" method="get" name="filtrarcliente">
<span class="tips">Se muestran los estados de planillas desde <input type="text" name="diainformedesde" value="<?php echo $diainformedesde; ?>" class="superangosto"> / <input type="text" name="mesinformedesde" value="<?php echo $mesinformedesde; ?>" class="superangosto"> / <input type="text" name="annoinformedesde" value="<?php echo $annoinformedesde; ?>" class="angosto"> hasta  <input type="text" name="diainformehasta" value="<?php echo $diainformehasta; ?>" class="superangosto"> / <input type="text" name="mesinformehasta" value="<?php echo $mesinformehasta; ?>" class="superangosto"> / <input type="text" name="annoinformehasta" value="<?php echo $annoinformehasta; ?>" class="angosto"> <a href="#" onclick="cargando(); forms.filtrarcliente.submit();"><img src="iconos/buscar16.png" /></a></span><br />
</form><br />
<span class="tipsprint"><span style="font-weight:bolder; color: red">A</span> abierta / <span style="font-weight:bolder; color: blue">R</span> rendida / <span style="font-weight:bolder; color: green">C</span> cerrada</span>
	<table>
    <thead>
	   	<tr>
        	<th>Codigo</th>
<?php
$acumuladototal=0;
$sucursales=$mysqli->query('SELECT * FROM sucursales WHERE Idsucursal<>"1" ORDER BY Idsucursal ASC');
$row_sucursales=$sucursales->fetch_array();
$lista_sucursales=array();
do {
?>
			<th><?php echo $row_sucursales['descripcion']; ?></th>
<?php
			array_push($lista_sucursales,$row_sucursales['Idsucursal']);
			$acumulado[$row_sucursales['Idsucursal']]=0;
} while ($row_sucursales=$sucursales->fetch_array());

?>
        </tr>
     <tbody>
<?php
$totalventas=0;
$timeinformedesde=strtotime($fechainformedesde);
$timeinformehasta=strtotime($fechainformehasta);
$timeinformehoy=$timeinformehasta;

do {
$color='color:white ';
?>
        <tr style="border-top:1px solid #999">
        	<td><?php echo date('d/m/Y',$timeinformehoy); ?></td>
<?php
foreach ($lista_sucursales as $sucursal) {
	$estado=$mysqli->query('SELECT * FROM cierres WHERE Idsucursal="'.$sucursal.'" AND fecha="'.date('Y-m-d',$timeinformehoy).'" ');
	$row_estado=$estado->fetch_array();
	if ($estado->num_rows>0) {$estado=$row_estado['estado'];} else {$estado='abierta';}
	if ($estado=="abierta") {$texto='A'; $color='color:red ';}
	if ($estado=="rendida") {$texto='R'; $color='color:blue ';}
	if ($estado=="cerrada") {$texto='C'; $color='color:green ';}
?>
			<td style="border-left:1px solid #999; font-weight:bolder; <?php echo $color; ?>" title="<?php echo $estado; ?>"><?php echo $texto; ?></td>
<?php
}
?>
        </tr>
<?php
$totalinventario+=$row['valorcompra']*$totalproducto;
$timeinformehoy-=(24*60*60);
} while ($timeinformehoy>=$timeinformedesde);
?>
<?php
if ($estado) {
    $estado->free();
}
if ($sucursales) {
    $sucursales->free();
}
if ($productos) {
    $productos->free();
}
if ($valores) {
    $valores->free();
}
if ($categoria) {
    $categoria->free();
}
?>
	</tbody>
    </table>
    
</div>
</body>
</html>